<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ProjectModuleManager">
    <modules>
      <module fileurl="file://$PROJECT_DIR$/.idea/modules/1979404049/advprog-lab.iml" filepath="$PROJECT_DIR$/.idea/modules/1979404049/advprog-lab.iml" />
      <module fileurl="file://$PROJECT_DIR$/.idea/modules/2027810624/tutorial-1.iml" filepath="$PROJECT_DIR$/.idea/modules/2027810624/tutorial-1.iml" group="tutorial-1" />
      <module fileurl="file://$PROJECT_DIR$/.idea/modules/2027810624/tutorial-1_main.iml" filepath="$PROJECT_DIR$/.idea/modules/2027810624/tutorial-1_main.iml" group="tutorial-1" />
      <module fileurl="file://$PROJECT_DIR$/.idea/modules/2027810624/tutorial-1_test.iml" filepath="$PROJECT_DIR$/.idea/modules/2027810624/tutorial-1_test.iml" group="tutorial-1" />
      <module fileurl="file://$PROJECT_DIR$/.idea/modules/2027810625/tutorial-2.iml" filepath="$PROJECT_DIR$/.idea/modules/2027810625/tutorial-2.iml" group="tutorial-2" />
      <module fileurl="file://$PROJECT_DIR$/.idea/modules/2027810625/tutorial-2_main.iml" filepath="$PROJECT_DIR$/.idea/modules/2027810625/tutorial-2_main.iml" group="tutorial-2" />
      <module fileurl="file://$PROJECT_DIR$/.idea/modules/2027810625/tutorial-2_test.iml" filepath="$PROJECT_DIR$/.idea/modules/2027810625/tutorial-2_test.iml" group="tutorial-2" />
      <module fileurl="file://$PROJECT_DIR$/.idea/modules/2027810626/tutorial-3.iml" filepath="$PROJECT_DIR$/.idea/modules/2027810626/tutorial-3.iml" group="tutorial-3" />
      <module fileurl="file://$PROJECT_DIR$/.idea/modules/2027810626/tutorial-3_main.iml" filepath="$PROJECT_DIR$/.idea/modules/2027810626/tutorial-3_main.iml" group="tutorial-3" />
      <module fileurl="file://$PROJECT_DIR$/.idea/modules/2027810626/tutorial-3_test.iml" filepath="$PROJECT_DIR$/.idea/modules/2027810626/tutorial-3_test.iml" group="tutorial-3" />
      <module fileurl="file://$PROJECT_DIR$/.idea/modules/2027810627/tutorial-4.iml" filepath="$PROJECT_DIR$/.idea/modules/2027810627/tutorial-4.iml" group="tutorial-4" />
      <module fileurl="file://$PROJECT_DIR$/.idea/modules/2027810627/tutorial-4_main.iml" filepath="$PROJECT_DIR$/.idea/modules/2027810627/tutorial-4_main.iml" group="tutorial-4" />
      <module fileurl="file://$PROJECT_DIR$/.idea/modules/2027810627/tutorial-4_test.iml" filepath="$PROJECT_DIR$/.idea/modules/2027810627/tutorial-4_test.iml" group="tutorial-4" />
      <module fileurl="file://$PROJECT_DIR$/.idea/modules/2027810628/tutorial-5.iml" filepath="$PROJECT_DIR$/.idea/modules/2027810628/tutorial-5.iml" group="tutorial-5" />
      <module fileurl="file://$PROJECT_DIR$/.idea/modules/2027810628/tutorial-5_main.iml" filepath="$PROJECT_DIR$/.idea/modules/2027810628/tutorial-5_main.iml" group="tutorial-5" />
      <module fileurl="file://$PROJECT_DIR$/.idea/modules/2027810628/tutorial-5_test.iml" filepath="$PROJECT_DIR$/.idea/modules/2027810628/tutorial-5_test.iml" group="tutorial-5" />
      <module fileurl="file://$PROJECT_DIR$/.idea/modules/2027810629/tutorial-6.iml" filepath="$PROJECT_DIR$/.idea/modules/2027810629/tutorial-6.iml" group="tutorial-6" />
      <module fileurl="file://$PROJECT_DIR$/.idea/modules/2027810629/tutorial-6_main.iml" filepath="$PROJECT_DIR$/.idea/modules/2027810629/tutorial-6_main.iml" group="tutorial-6" />
      <module fileurl="file://$PROJECT_DIR$/.idea/modules/2027810629/tutorial-6_test.iml" filepath="$PROJECT_DIR$/.idea/modules/2027810629/tutorial-6_test.iml" group="tutorial-6" />
      <module fileurl="file://$PROJECT_DIR$/.idea/modules/2027810630/tutorial-7.iml" filepath="$PROJECT_DIR$/.idea/modules/2027810630/tutorial-7.iml" group="tutorial-7" />
      <module fileurl="file://$PROJECT_DIR$/.idea/modules/2027810630/tutorial-7_main.iml" filepath="$PROJECT_DIR$/.idea/modules/2027810630/tutorial-7_main.iml" group="tutorial-7" />
      <module fileurl="file://$PROJECT_DIR$/.idea/modules/2027810630/tutorial-7_test.iml" filepath="$PROJECT_DIR$/.idea/modules/2027810630/tutorial-7_test.iml" group="tutorial-7" />
      <module fileurl="file://$PROJECT_DIR$/tutorial-8.iml" filepath="$PROJECT_DIR$/tutorial-8.iml" group="tutorial-8" />
      <module fileurl="file://$PROJECT_DIR$/.idea/modules/tutorial-8_main.iml" filepath="$PROJECT_DIR$/.idea/modules/tutorial-8_main.iml" group="tutorial-8" />
      <module fileurl="file://$PROJECT_DIR$/.idea/modules/tutorial-8_test.iml" filepath="$PROJECT_DIR$/.idea/modules/tutorial-8_test.iml" group="tutorial-8" />
    </modules>
  </component>
</project>